org.apache.commons.compress.harmony.pack200

## Class Pack200ClassReader

- java.lang.Object
- - org.objectweb.asm.ClassReader
  - - org.apache.commons.compress.harmony.pack200.Pack200ClassReader

-     public class Pack200ClassReader
      extends org.objectweb.asm.ClassReader

  Wrapper for ClassReader that enables pack200 to obtain extra class file information

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.ClassReader

      `b, EXPAND_FRAMES, header, SKIP_CODE, SKIP_DEBUG, SKIP_FRAMES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pack200ClassReader(byte[] b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileName()`
    `boolean` | `hasSyntheticAttributes()`
    `boolean` | `lastConstantHadWideIndex()`
    `Object` | `readConst(int item, char[] buf)`
    `int` | `readUnsignedShort(int index)`
    `String` | `readUTF8(int arg0, char[] arg1)`
    `void` | `setFileName(String name)`

    - ### Methods inherited from class org.objectweb.asm.ClassReader

      `accept, accept, getAccess, getClassName, getInterfaces, getItem, getItemCount, getMaxStringLength, getSuperName, readByte, readClass, readInt, readLabel, readLong, readModule, readPackage, readShort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pack200ClassReader

          public Pack200ClassReader(byte[] b)

      Parameters:
        `b` - the contents of class file in the format of bytes

  - ### Method Detail

    - #### getFileName

          public String getFileName()

    - #### hasSyntheticAttributes

          public boolean hasSyntheticAttributes()

    - #### lastConstantHadWideIndex

          public boolean lastConstantHadWideIndex()

    - #### readConst

          public Object readConst(int item,
                                  char[] buf)

      Overrides:
        `readConst` in class `org.objectweb.asm.ClassReader`

    - #### readUnsignedShort

          public int readUnsignedShort(int index)

      Overrides:
        `readUnsignedShort` in class `org.objectweb.asm.ClassReader`

    - #### readUTF8

          public String readUTF8(int arg0,
                                 char[] arg1)

      Overrides:
        `readUTF8` in class `org.objectweb.asm.ClassReader`

    - #### setFileName

          public void setFileName(String name)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.